<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use DB;
class AuthenticateUser
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        
        // echo "Faheem mahara";
        // exit("Middlware working fine");
        // return $next($request);
        // Get the bearer token from the request headers.
        $token = $request->bearerToken();

        // If the token is not present, return an unauthorized response.
        if (!$token) {
            return response()->json(['message' => 'Unauthorized'], 401);
        }
        else {
            $valid = DB::table("users")->where("token","=",$token)->count();
            
             if ($token == 0) {
                return response()->json(['message' => 'Unauthorized'], 401);
            }
            else {
                return $next($request);
            }
        }
    }
}
