<?php

namespace App\Models;
use DB;

use Illuminate\Database\Eloquent\Model;

class Users extends Model
{
    protected $table = "users";
    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
       '*'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password'
    ];

    /**
     * login the user into system
     * @author:Faheem Mahar
     * @param $userName
     * @param $userPass
     * @return result{mixed}
     */
    static function login($userName , $userPass) {

        return DB::table('users_roles')
        ->where([
            ['user_name', '=', $userName]
        ])
        ->first();
    }
    /**
     * login the user into system
     * @author:Faheem Mahar
     * @param $cnic
     * @return result{mixed}
     */
    static function verifyDomicile($cnic) {
        return DB::table("applicant_info")
        ->select("name","f_name as father_name","permission as status","profile_created_date as domicile_created")
        ->where(
            [
                ["cnic","=",$cnic]
            ]
        )
        ->first();
    }
    /**
     * login the user into system
     * @author:Faheem Mahar
     * @param $userName
     * @param $userPass
     * @return result{mixed}
     */
      function loginMe($userName,$password) {
         return $this
        ->where([
            ['user_name', '=', $userName]
        ])
        ->first();
     }
     
}
